( function( $ ) {

  $(document).ready(function($){

    // Trigger mobile menu.
    $('#mobile-trigger').sidr({
		timing: 'ease-in-out',
		speed: 500,
		source: '#mob-menu',
		name: 'sidr-main'
    });

    // Search in Header
    if( $('#btn-search-icon').length > 0 ) {
      $('#btn-search-icon').on( 'click',function(e){
          e.preventDefault();
          $( '#header-search-form' ).fadeToggle();
      });

    }
    // Implement go to top
    if ( $('#btn-scrollup').length > 0 ) {

      $(window).on( 'scroll',function(){
          if ($(this).scrollTop() > 100) {
              $('#btn-scrollup').fadeIn('slow');
          } else {
              $('#btn-scrollup').fadeOut('slow');
          }
      });

      $('#btn-scrollup').on( 'click',function(){
          $('html, body').animate({ scrollTop: 0 }, 600);
          return false;
      });

    }
    // Implement sticky menu.
    if( $('body').hasClass('sticky-menu-enabled') ){
    	$( window ).on( 'scroll',function () {
    		if ( $( window ).scrollTop() > $( '#site-navigation' ).offset().top && ! ($( '#site-navigation' ).hasClass( 'fixed' ))) {
    			$( '#site-navigation' ).addClass( 'fixed' );
    		} else if ( 0 === $( window ).scrollTop() ) {
    			$( '#site-navigation' ).removeClass( 'fixed' );
    		}
    	});
    }

  });

} )( jQuery );
